=== modified file 'bzrlib/builtins.py'
--- bzrlib/builtins.py	2010-05-03 09:07:50 +0000
+++ bzrlib/builtins.py	2010-04-29 12:10:19 +0000
@@ -4681,7 +4681,6 @@
 
 class cmd_bind(Command):
     __doc__ = """Convert the current branch into a checkout of the supplied branch.
-    If no branch is supplied, rebind to the last bound location.
 
     Once converted into a checkout, commits must succeed on the master branch
     before they will be applied to the local branch.

=== modified file 'bzrlib/tests/__init__.py'
--- bzrlib/tests/__init__.py	2010-05-05 02:35:02 +0000
+++ bzrlib/tests/__init__.py	2010-04-23 16:22:41 +0000
@@ -112,13 +112,13 @@
 from bzrlib.tests import (
     test_server,
     TestUtil,
-    treeshape,
     )
 from bzrlib.tests.http_server import HttpServer
 from bzrlib.tests.TestUtil import (
                           TestSuite,
                           TestLoader,
                           )
+from bzrlib.tests.treeshape import build_tree_contents
 from bzrlib.ui import NullProgressView
 from bzrlib.ui.text import TextUIFactory
 import bzrlib.version_info_formats.format_custom
@@ -2578,7 +2578,8 @@
                 content = "contents of %s%s" % (name.encode('utf-8'), end)
                 transport.put_bytes_non_atomic(urlutils.escape(name), content)
 
-    build_tree_contents = staticmethod(treeshape.build_tree_contents)
+    def build_tree_contents(self, shape):
+        build_tree_contents(shape)
 
     def assertInWorkingTree(self, path, root_path='.', tree=None):
         """Assert whether path or paths are in the WorkingTree"""

=== modified file 'bzrlib/tests/treeshape.py'
--- bzrlib/tests/treeshape.py	2010-05-05 00:05:29 +0000
+++ bzrlib/tests/treeshape.py	2009-03-23 14:59:43 +0000
@@ -41,10 +41,6 @@
 
     The template is built relative to the Python process's current
     working directory.
-
-    ('foo/',) will build a directory.
-    ('foo', 'bar') will write 'bar' to 'foo'
-    ('foo@', 'linktarget') will raise an error
     """
     for tt in template:
         name = tt[0]

=== modified file 'bzrlib/trace.py'
--- bzrlib/trace.py	2010-05-05 02:35:02 +0000
+++ bzrlib/trace.py	2010-03-30 14:44:30 +0000
@@ -111,12 +111,6 @@
 
 
 def note(*args, **kwargs):
-    """Output a note to the user.
-
-    Takes the same parameters as logging.info.
-
-    :return: None
-    """
     # FIXME note always emits utf-8, regardless of the terminal encoding
     #
     # FIXME: clearing the ui and then going through the abstract logging

=== modified file 'bzrlib/transport/__init__.py'
--- bzrlib/transport/__init__.py	2010-05-04 06:22:51 +0000
+++ bzrlib/transport/__init__.py	2010-04-16 07:56:51 +0000
@@ -539,9 +539,6 @@
 
         This function will only be defined for Transports which have a
         physical local filesystem representation.
-
-        :raises errors.NotLocalUrl: When no local path representation is
-            available.
         """
         raise errors.NotLocalUrl(self.abspath(relpath))
 

